#include <bits/stdc++.h>

using namespace std;


int main()
{
    int n, i;
    cin >> n;
    int a[n];
    for(i = 0; i < (n-1)*2; i++)
    {
        cin >> a[i];
    }
 srand((unsigned) time(0));
    int result = 1 + (rand() % 2);
    printf("%d \n", result);
  return 0;
}